HIP-4 outcome markets summary
curl --request GET \
--url https://api.ironflow.sh/v1/predictions/summaryimport requests
url = "https://api.ironflow.sh/v1/predictions/summary"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ironflow.sh/v1/predictions/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/predictions/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/predictions/summary"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/predictions/summary")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/predictions/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"window_hours": 4,
"notional_total": 1092868.21,
"fills_total": 30964,
"wallets_total": 503,
"markets_active": 479,
"hourly": [
{
"hour": "2026-11-06T17:00:00Z",
"notional": 207216.14,
"fills": 6766,
"btc": 75646.09
}
],
"active_markets": [
{
"market_id": 214730,
"display_symbol": "English Premier League 2026/2027-Arsenal-Yes",
"hl_coin": "#14730",
"last_price": 0.69582,
"last_fill_ms": 1794000132818,
"fills_24h": 2655,
"notional_24h": 179426.32
}
],
"computed_at": 1794000728
}Market Data
Hyperliquid HIP-4 outcome markets summary
GET /v1/predictions/summary returns activity on Hyperliquid’s HIP-4 outcome markets: notional, fills, wallets, an hourly series and the active markets.
GET
/
v1
/
predictions
/
summary
HIP-4 outcome markets summary
curl --request GET \
--url https://api.ironflow.sh/v1/predictions/summaryimport requests
url = "https://api.ironflow.sh/v1/predictions/summary"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ironflow.sh/v1/predictions/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/predictions/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/predictions/summary"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/predictions/summary")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/predictions/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"window_hours": 4,
"notional_total": 1092868.21,
"fills_total": 30964,
"wallets_total": 503,
"markets_active": 479,
"hourly": [
{
"hour": "2026-11-06T17:00:00Z",
"notional": 207216.14,
"fills": 6766,
"btc": 75646.09
}
],
"active_markets": [
{
"market_id": 214730,
"display_symbol": "English Premier League 2026/2027-Arsenal-Yes",
"hl_coin": "#14730",
"last_price": 0.69582,
"last_fill_ms": 1794000132818,
"fills_24h": 2655,
"notional_24h": 179426.32
}
],
"computed_at": 1794000728
}Query Parameters
Trailing window. An unknown value falls back to 1d.
Available options:
4h, 1d, 1w Response
200 - application/json
Summary of the window.
USD notional over all outcome fills in the window
Outcome markets with at least one fill in the window
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix seconds